---
title: BarcodeDetector.getSupportedFormats()
slug: Web/API/BarcodeDetector/getSupportedFormats
tags:
  - Barcode Detection API
  - BarcodeDetector
  - Method
  - barcode
  - shape detection
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("Barcode Detector API")}}</div>

<p class="summary">The <strong><code>getSupportedFormats()</code></strong> static method of the {{domxref("BarcodeDetector")}} interface returns a {{jsxref('Promise')}} which fulfills with an {{jsxref('Array')}} of supported barcode format types.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>supportedFormats</var> = BarcodeDetector.getSupportedFormats();</pre>

<h3 id="Parameters">Parameters</h3>

<p>This method receives no parameters.</p>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref('Array')}} of <a href="/en-US/docs/Web/API/Barcode_Detection_API#Supported_barcode_formats">supported barcode format types</a>.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>No exceptions are thrown.</p>

<h2 id="Examples">Examples</h2>

<p>The following example calls the <code>getSupportFormat()</code> static method and logs the results to the console.</p>

<pre class="brush: js notranslate">// check supported types
BarcodeDetector.getSupportedFormats()
  .then(supportedFormats =&gt; {
    supportedFormats.forEach(format =&gt; console.log(format));
  });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Shape Detection API','#dom-barcodedetector-getsupportedformats','BarcodeDetector.getSupportedFormats()')}}</td>
   <td>{{Spec2('Shape Detection API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BarcodeDetector.getSupportedFormats")}}</p>
